ScreenOverlay (KML Framework API)
Keywords: org.boehn.kmlframework.kml.ScreenOverlay class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.boehn.kmlframework.kml
Class ScreenOverlay

    java.lang.Object
      org.boehn.kmlframework.kml.KmlObject
          org.boehn.kmlframework.kml.Feature
              org.boehn.kmlframework.kml.Overlay
                  org.boehn.kmlframework.kml.ScreenOverlay

    public class ScreenOverlay

extends Overlay

Constructor Summary
`ScreenOverlay()`
`ScreenOverlay(java.lang.String name, java.lang.Boolean visibility, java.lang.Boolean open, AtomAuthor atomAuthor, AtomLink atomLink, java.lang.String address, java.lang.String xalAddressDetails, java.lang.String phoneNumber, java.lang.String snippet, java.lang.Integer snippetMaxLines, java.lang.String description, AbstractView abstractView, TimePrimitive timePrimitive, java.lang.String styleUrl, java.util.List<StyleSelector> styleSelectors, Region region, ExtendedData extendedData, java.lang.String color, java.lang.Integer drawOrder, Icon icon, java.lang.Double overlayX, java.lang.Double overlayY, UnitEnum overlayXunits, UnitEnum overlayYunits, java.lang.Double screenX, java.lang.Double screenY, UnitEnum screenXunits, UnitEnum screenYunits, java.lang.Double rotationX, java.lang.Double rotationY, UnitEnum rotationXunits, UnitEnum rotationYunits, java.lang.Double sizeX, java.lang.Double sizeY, UnitEnum sizeXunits, UnitEnum sizeYunits, java.lang.Double rotation)`

Method Summary
`java.lang.Double` | `getOverlayX()`
`UnitEnum` | `getOverlayXunits()`
`java.lang.Double` | `getOverlayY()`
`UnitEnum` | `getOverlayYunits()`
`java.lang.Double` | `getRotation()`
`java.lang.Double` | `getRotationX()`
`UnitEnum` | `getRotationXunits()`
`java.lang.Double` | `getRotationY()`
`UnitEnum` | `getRotationYunits()`
`java.lang.Double` | `getScreenX()`
`UnitEnum` | `getScreenXunits()`
`java.lang.Double` | `getScreenY()`
`UnitEnum` | `getScreenYunits()`
`java.lang.Double` | `getSizeX()`
`UnitEnum` | `getSizeXunits()`
`java.lang.Double` | `getSizeY()`
`UnitEnum` | `getSizeYunits()`
`void` | `setOverlayX(java.lang.Double overlayX)`
`void` | `setOverlayXunits(UnitEnum overlayXunits)`
`void` | `setOverlayY(java.lang.Double overlayY)`
`void` | `setOverlayYunits(UnitEnum overlayYunits)`
`void` | `setRotation(java.lang.Double rotation)`
`void` | `setRotationX(java.lang.Double rotationX)`
`void` | `setRotationXunits(UnitEnum rotationXunits)`
`void` | `setRotationY(java.lang.Double rotationY)`
`void` | `setRotationYunits(UnitEnum rotationYunits)`
`void` | `setScreenX(java.lang.Double screenX)`
`void` | `setScreenXunits(UnitEnum screenXunits)`
`void` | `setScreenY(java.lang.Double screenY)`
`void` | `setScreenYunits(UnitEnum screenYunits)`
`void` | `setSizeX(java.lang.Double sizeX)`
`void` | `setSizeXunits(UnitEnum sizeXunits)`
`void` | `setSizeY(java.lang.Double sizeY)`
`void` | `setSizeYunits(UnitEnum sizeYunits)`
`void` | `write(Kml kml)`
`void` | `writeDelete(Kml kml)`

Methods inherited from class org.boehn.kmlframework.kml.Overlay
`getColor, getDrawOrder, getIcon, setColor, setDrawOrder, setIcon, writeInner`

Methods inherited from class org.boehn.kmlframework.kml.Feature
`addStyleSelector, getAbstractView, getAddress, getAtomAuthor, getAtomLink, getDescription, getExtendedData, getName, getPhoneNumber, getRegion, getSnippet, getSnippetMaxLines, getStyleSelectors, getStyleUrl, getTimePrimitive, getXalAddressDeatails, isOpen, isVisible, setAbstractView, setAddress, setAtomAuthor, setAtomLink, setDescription, setExtendedData, setName, setOpen, setPhoneNumber, setRegion, setSnippet, setSnippetMaxLines, setStyleSelectors, setStyleUrl, setTimePrimitive, setVisibility, setXalAddressDeatails`

Methods inherited from class org.boehn.kmlframework.kml.KmlObject
`booleanToInt, enumToString, getId, getIdAndTargetIdFormatted, getTargetId, setId, setTargetId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScreenOverlay

    public ScreenOverlay()

### ScreenOverlay

    public ScreenOverlay(java.lang.String name,
                         java.lang.Boolean visibility,
                         java.lang.Boolean open,
                         AtomAuthor atomAuthor,
                         AtomLink atomLink,
                         java.lang.String address,
                         java.lang.String xalAddressDetails,
                         java.lang.String phoneNumber,
                         java.lang.String snippet,
                         java.lang.Integer snippetMaxLines,
                         java.lang.String description,
                         AbstractView abstractView,
                         TimePrimitive timePrimitive,
                         java.lang.String styleUrl,
                         java.util.List<StyleSelector> styleSelectors,
                         Region region,
                         ExtendedData extendedData,
                         java.lang.String color,
                         java.lang.Integer drawOrder,
                         Icon icon,
                         java.lang.Double overlayX,
                         java.lang.Double overlayY,
                         UnitEnum overlayXunits,
                         UnitEnum overlayYunits,
                         java.lang.Double screenX,
                         java.lang.Double screenY,
                         UnitEnum screenXunits,
                         UnitEnum screenYunits,
                         java.lang.Double rotationX,
                         java.lang.Double rotationY,
                         UnitEnum rotationXunits,
                         UnitEnum rotationYunits,
                         java.lang.Double sizeX,
                         java.lang.Double sizeY,
                         UnitEnum sizeXunits,
                         UnitEnum sizeYunits,
                         java.lang.Double rotation)

Method Detail

### getOverlayX

    public java.lang.Double getOverlayX()

### setOverlayX

    public void setOverlayX(java.lang.Double overlayX)

### getOverlayY

    public java.lang.Double getOverlayY()

### setOverlayY

    public void setOverlayY(java.lang.Double overlayY)

### getOverlayXunits

    public UnitEnum getOverlayXunits()

### setOverlayXunits

    public void setOverlayXunits(UnitEnum overlayXunits)

### getOverlayYunits

    public UnitEnum getOverlayYunits()

### setOverlayYunits

    public void setOverlayYunits(UnitEnum overlayYunits)

### getScreenX

    public java.lang.Double getScreenX()

### setScreenX

    public void setScreenX(java.lang.Double screenX)

### getScreenY

    public java.lang.Double getScreenY()

### setScreenY

    public void setScreenY(java.lang.Double screenY)

### getScreenXunits

    public UnitEnum getScreenXunits()

### setScreenXunits

    public void setScreenXunits(UnitEnum screenXunits)

### getScreenYunits

    public UnitEnum getScreenYunits()

### setScreenYunits

    public void setScreenYunits(UnitEnum screenYunits)

### getRotationX

    public java.lang.Double getRotationX()

### setRotationX

    public void setRotationX(java.lang.Double rotationX)

### getRotationY

    public java.lang.Double getRotationY()

### setRotationY

    public void setRotationY(java.lang.Double rotationY)

### getRotationXunits

    public UnitEnum getRotationXunits()

### setRotationXunits

    public void setRotationXunits(UnitEnum rotationXunits)

### getRotationYunits

    public UnitEnum getRotationYunits()

### setRotationYunits

    public void setRotationYunits(UnitEnum rotationYunits)

### getSizeX

    public java.lang.Double getSizeX()

### setSizeX

    public void setSizeX(java.lang.Double sizeX)

### getSizeY

    public java.lang.Double getSizeY()

### setSizeY

    public void setSizeY(java.lang.Double sizeY)

### getSizeXunits

    public UnitEnum getSizeXunits()

### setSizeXunits

    public void setSizeXunits(UnitEnum sizeXunits)

### getSizeYunits

    public UnitEnum getSizeYunits()

### setSizeYunits

    public void setSizeYunits(UnitEnum sizeYunits)

### getRotation

    public java.lang.Double getRotation()

### setRotation

    public void setRotation(java.lang.Double rotation)

### write

    public void write(Kml kml)
               throws KmlException

  Specified by:
    `write` in class `KmlObject`
  Throws:
    `KmlException`

### writeDelete

    public void writeDelete(Kml kml)
                     throws KmlException

  Specified by:
    `writeDelete` in class `KmlObject`
  Throws:
    `KmlException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD